from random import *
import ti_plotlib as plt
from time import *

def screen(xmin,xmax,ymin,ymax,xscale,yscale):
  plt.window(xmin,xmax,ymin,ymax)
  plt.grid(xscale,yscale,"dotted")
  plt.axes("on")

bin=[0 for i in range(0,6)]
num=int(input("Number of simulations: "))

for k in range(num):
  p=0
  for i in range(0,5):
    p=p+randint(0,1)
  bin[p]+=1

xmin=-1 ; xmax=6 ; ymin=-0.1 ; ymax=1
screen(xmin,xmax,ymin,ymax,1,0.5)

plt.color(0,0,255)
plt.text_at(1,"# Simulations {}".format(num),"right")
plt.color(0,0,0)
plt.text_at(2,"Bin 0: {0:2.3f} ≈ 01/32 = {1:2.3f}".format(bin[0]/num,1/32),"right")
plt.text_at(3,"Bin 1: {0:2.3f} ≈ 05/32 = {1:2.3f}".format(bin[1]/num,5/32),"right")
plt.text_at(4,"Bin 2: {0:2.3f} ≈ 10/32 = {1:2.3f}".format(bin[2]/num,10/32),"right")
plt.text_at(5,"Bin 3: {0:2.3f} ≈ 10/32 = {1:2.3f}".format(bin[3]/num,10/32),"right")
plt.text_at(6,"Bin 4: {0:2.3f} ≈ 05/32 = {1:2.3f}".format(bin[4]/num,5/32),"right")
plt.text_at(7,"Bin 5: {0:2.3f} ≈ 01/32 = {1:2.3f}".format(bin[5]/num,1/32),"right")

for x in range(0,6):
  plt.color(0,0,255)
  plt.pen("medium","solid")
  plt.line(x,0,x,bin[x]/num)
  plt.color(255,0,0)
  plt.plot(x,bin[x]/num,"o")

plt.show_plot()
